Subject: Re: bug#55386: 29.0.50; check-declare-directory doesn't work on Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 May 2022 15:35:37 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 13 May 2022 14:21:01 +0200
> 
> > Why are you surprised?
> 
> Because:
> 
> > So I suspect the OP doesn't have a port of GNU Find
> > on Path before the Windows program of the same name (which does
> > something completely different), or maybe the version of Find or Grep
> > the OP has don't support non-ASCII characters encoded in the OP's
> > locale's codepage.
> 
> There's always stuff like this in Windows-related bug reports.  😀

There's a difference between expecting problems and being surprised it
can work at all.

> > I wonder whether it could be a good idea to replace the find/grep
> > command by something that traverses the files in Lisp, like
> > dired-do-search or somesuch?  This would resolve any problems with
> > file names and incompatible versions of Find and Grep.
> 
> It would be massively slower, though.

I'm not sure.  How much time does it take for the find/grep command to
finish working on our lisp/ directory on your system?

And this command is not really time-critical anyway.

In any case, we could use the Lisp path only on Windows, since having
a slower command is better than having a broken command.